head	1.17;
access;
symbols
	core-8-5-9:1.14
	core-8-5-8:1.14
	macosx-cocoa-merge:1.17
	macosx-cocoa-premerge:1.17
	macosx-carbon-freeze:1.17
	core-8-5-7:1.14
	core-8-5-6:1.14
	core-8-6-b1:1.17
	core-8-6-a3:1.16
	core-8-5-5:1.14
	core-8-6-a2:1.15
	core-8-5-4:1.14
	core-8-5-3:1.14
	core-8-6-a1:1.15
	core-8-4-19:1.11
	core-8-5-branch:1.14.0.4
	core-8-5-2:1.14
	core-8-4-18:1.11
	core-8-5-1:1.14
	core-8-4-17:1.11
	core-8-5-0:1.14
	core-8-5-b3:1.14
	core-8-5-b2:1.14
	core-8-4-16:1.11
	core-8-5-b1:1.14
	core-stablilizer-merge:1.14
	core-stabilizer-branch:1.14.0.2
	core-stabilizer-merge:1.14
	core-8-4-15:1.11
	core-8-5-a6:1.13
	core-8-5-a5:1.12
	core-8-4-14:1.11
	core-8-5-a4:1.12
	core-8-4-13:1.11
	core-8-4-12:1.11
	core-8-4-11:1.11
	core-8-5-a3:1.12
	core-8-4-10:1.11
	core-8-4-9-branch:1.11.0.8
	core-8-5-a2:1.12
	core-8-4-9:1.11
	core-8-4-8:1.11
	core-8-4-7:1.11
	core-8-5-a1:1.11
	core-8-4-6:1.11
	core-8-4-5:1.11
	mistachkin-dev-branch:1.11.0.6
	core-8-4-4:1.11
	core-8-4-3:1.11
	core-8-4-branch:1.11.0.4
	core-8-4-2:1.11
	core-8-4-1:1.11
	core-8-4-0:1.11
	macosx-8-4-merge-2002-08-31-trunk:1.11
	macosx-8-4-premerge-2002-08-31-branch:1.11.2.1
	macosx-8-4-premerge-2002-08-31-trunk:1.11
	macosx-8-4-merge-2002-08-30-branch:1.11.2.1
	macosx-8-4-merge-2002-08-30-trunk:1.11
	macosx-8-4-merge-2002-08-20-branch:1.11.2.1
	macosx-8-4-branch:1.11.0.2
	macosx-8-4-merge-2002-08-20-trunk:1.11
	core-8-4-b2:1.11
	core-8-1-0:1.9
	merge-to-mainline-4-29-99:1.9
	merge-to-mainline-4-23-99:1.9
	core-8-1-branch-old:1.1.0.4
	core-8-0-6-branch:1.8.0.6
	core-8-0-6-base:1.8
	core-8-0-5:1.8
	core-8-1-b3:1.1.4.6
	core-8-1-b2:1.1.4.5
	dev-8-1-stubs-branch:1.1.4.5.0.2
	dev-stubs-branch:1.8.0.4
	scriptics-tclpro-1-2:1.8
	scriptics-tclpro-1-2-b2:1.8
	core-8-1-merge-2/10/99:1.8
	core-8-0-5-branch:1.8.0.2
	core-8-0-5-base:1.8
	scriptics-tclpro-1-2-b1:1.7
	scriptics-tclpro-1-2-a1:1.7
	core-8-1-b1:1.1.4.4
	core-8-0-4:1.6
	core-8-1-a2:1.1.4.1
	core-8-0-2:1.1
	core-8-0-3:1.6;
locks; strict;
comment	@# @;


1.17
date	2008.10.18.14.22.22;	author dkf;	state Exp;
branches;
next	1.16;

1.16
date	2008.08.25.11.44.04;	author dkf;	state Exp;
branches;
next	1.15;

1.15
date	2008.04.02.04.30.44;	author dgp;	state Exp;
branches;
next	1.14;

1.14
date	2007.05.14.20.58.31;	author dgp;	state Exp;
branches;
next	1.13;

1.13
date	2007.02.28.05.26.37;	author chengyemao;	state Exp;
branches;
next	1.12;

1.12
date	2004.04.24.07.38.17;	author das;	state Exp;
branches;
next	1.11;

1.11
date	2002.07.16.05.01.23;	author davygrvy;	state Exp;
branches
	1.11.2.1;
next	1.10;

1.10
date	99.04.16.20.19.02;	author stanton;	state dead;
branches;
next	1.9;

1.9
date	99.04.16.01.51.48;	author stanton;	state Exp;
branches
	1.9.2.1;
next	1.8;

1.8
date	99.02.04.21.02.58;	author stanton;	state Exp;
branches;
next	1.7;

1.7
date	98.11.25.01.48.54;	author stanton;	state Exp;
branches;
next	1.6;

1.6
date	98.09.14.18.23.58;	author stanton;	state Exp;
branches;
next	1.5;

1.5
date	98.08.20.22.10.08;	author welch;	state Exp;
branches;
next	1.4;

1.4
date	98.08.12.18.42.19;	author suresh;	state Exp;
branches;
next	1.3;

1.3
date	98.08.06.16.47.10;	author welch;	state Exp;
branches;
next	1.2;

1.2
date	98.07.24.13.56.53;	author rjohnson;	state Exp;
branches;
next	1.1;

1.1
date	98.04.01.10.00.27;	author rjohnson;	state Exp;
branches
	1.1.4.1;
next	;

1.1.4.1
date	98.09.29.00.26.04;	author stanton;	state Exp;
branches;
next	1.1.4.2;

1.1.4.2
date	98.09.30.02.19.26;	author stanton;	state Exp;
branches;
next	1.1.4.3;

1.1.4.3
date	98.11.25.21.16.42;	author stanton;	state Exp;
branches;
next	1.1.4.4;

1.1.4.4
date	98.12.11.01.31.04;	author stanton;	state Exp;
branches;
next	1.1.4.5;

1.1.4.5
date	99.02.12.01.09.03;	author stanton;	state Exp;
branches;
next	1.1.4.6;

1.1.4.6
date	99.03.17.22.06.29;	author stanton;	state Exp;
branches;
next	;

1.9.2.1
date	99.04.21.21.30.32;	author rjohnson;	state Exp;
branches;
next	;

1.11.2.1
date	2002.08.20.20.27.18;	author das;	state Exp;
branches;
next	;


desc
@@


1.17
log
@Implementation of the [tk busy] command on non-OSX.
Adapted from [Patch 1997907]
@
text
@#
# Makefile for Borland C++ 5.5 (or C++ Builder 5), adapted from the makefile
#   for Visual C++ that came with tk 8.3.3
#
# Some "not so obvious" details in this makefile are preceded by a comment
# "maintenance hint", which tries to explain what's going on. Better to 
# leave those in place.
# Helmut Giese, July 2002
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# Copyright (c) 1995-1997 Sun Microsystems, Inc.
# Copyright (c) 1998-2000 Ajuba Solutions.
#
# RCS: @@(#) $Id: makefile.bc,v 1.16 2008/08/25 11:44:04 dkf Exp $

# Does not depend on the presence of any environment variables in
# order to compile tcl; all needed information is derived from
# location of the compiler directories.

#
# Project directories
#
# ROOT    = top of source tree
#
# TMPDIR  = location where .obj files should be stored during build
#
# TOOLS32 = location of Borland development tools.
#
# TCLDIR = location of top of Tcl source hierarchy
#

ROOT        = ..
TCLDIR      = ..\..\tcl8.4
INSTALLDIR  = D:\tmp\tcl

# If you have C++ Builder 5 or the free Borland C++ 5.5 compiler
# adapt the following paths as appropriate for your system
TOOLS32    = d:\cbld5
TOOLS32_rc = d:\cbld5
#TOOLS32    = c:\bc55
#TOOLS32_rc = c:\bc55

cc32      = "$(TOOLS32)\bin\bcc32.exe"
link32    = "$(TOOLS32)\bin\ilink32.exe"
lib32     = "$(TOOLS32)\bin\tlib.exe"
rc32      = "$(TOOLS32_rc)\bin\brcc32.exe"
include32 = -I"$(TOOLS32)\include;$(TOOLS32)\include\mfc"
libpath32 = -L"$(TOOLS32)\lib"

# Uncomment the following line to compile with thread support
#THREADDEFINES = -DTCL_THREADS=1

# Allow definition of NDEBUG via command line
# Set NODEBUG to 0 to compile with symbols
!if !defined(NODEBUG)
NODEBUG = 1
!endif

# uncomment the following two lines to compile with TCL_MEM_DEBUG
#DEBUGDEFINES =-DTCL_MEM_DEBUG

######################################################################
# Do not modify below this line
######################################################################

TCLNAMEPREFIX = tcl
TKNAMEPREFIX = tk
WISHNAMEPREFIX = wish
VERSION = 84
DOTVERSION = 8.4

TCLSTUBPREFIX = $(TCLNAMEPREFIX)stub
TKSTUBPREFIX  = $(TKNAMEPREFIX)stub


BINROOT   = .
!IF "$(NODEBUG)" == "1"
TMPDIRNAME  = Release
DBGX        =
!ELSE
TMPDIRNAME  = Debug
DBGX        =
#DBGX       = d
!ENDIF
TMPDIR      = $(BINROOT)\$(TMPDIRNAME)
OUTDIRNAME  = $(TMPDIRNAME)
OUTDIR      = $(TMPDIR)

TCLLIB        = $(TCLNAMEPREFIX)$(VERSION)$(DBGX).lib
TCLPLUGINLIB  = $(TCLNAMEPREFIX)$(VERSION)p.lib
TCLSTUBLIB    = $(TCLSTUBPREFIX)$(VERSION)$(DBGX).lib
TKDLLNAME     = $(TKNAMEPREFIX)$(VERSION)$(DBGX).dll
TKDLL         = $(OUTDIR)\$(TKDLLNAME)
TKLIB         = $(OUTDIR)\$(TKNAMEPREFIX)$(VERSION)$(DBGX).lib
TKSTUBLIBNAME = $(TKSTUBPREFIX)$(VERSION)$(DBGX).lib
TKSTUBLIB     = $(OUTDIR)\$(TKSTUBLIBNAME)
TKPLUGINDLLNAME = $(TKNAMEPREFIX)$(VERSION)p$(DBG).dll
TKPLUGINDLL   = $(OUTDIR)\$(TKPLUGINDLLNAME)
TKPLUGINLIB   = $(OUTDIR)\$(TKNAMEPREFIX)$(VERSION)p$(DBGX).lib

WISH      = $(OUTDIR)\$(WISHNAMEPREFIX)$(VERSION)$(DBGX).exe
WISHC     = $(OUTDIR)\$(WISHNAMEPREFIX)c$(VERSION)$(DBGX).exe
WISHP     = $(OUTDIR)\$(WISHNAMEPREFIX)p$(VERSION)$(DBGX).exe
TKTEST    = $(OUTDIR)\$(TKNAMEPREFIX)test.exe
CAT32     = $(TMPDIR)\cat32.exe

BIN_INSTALL_DIR     = $(INSTALLDIR)\bin
INCLUDE_INSTALL_DIR = $(INSTALLDIR)\include
LIB_INSTALL_DIR     = $(INSTALLDIR)\lib
SCRIPT_INSTALL_DIR  = $(LIB_INSTALL_DIR)\tk$(DOTVERSION)

WISHOBJS = \
  $(TMPDIR)\winMain.obj

TKTESTOBJS = \
  $(TMPDIR)\tkTest.obj \
  $(TMPDIR)\tkSquare.obj \
  $(TMPDIR)\testMain.obj \
  $(TMPDIR)\tkOldTest.obj \
  $(TMPDIR)\tkWinTest.obj \
  $(TCLLIBDIR)\tclThreadTest.obj

XLIBOBJS = \
  $(TMPDIR)\xcolors.obj \
  $(TMPDIR)\xdraw.obj \
  $(TMPDIR)\xgc.obj \
  $(TMPDIR)\ximage.obj \
  $(TMPDIR)\xutil.obj

TKOBJS = \
	$(TMPDIR)\tkConsole.obj \
	$(TMPDIR)\tkUnixMenubu.obj \
	$(TMPDIR)\tkUnixScale.obj \
	$(XLIBOBJS) \
	$(TMPDIR)\tkWin3d.obj \
	$(TMPDIR)\tkWin32Dll.obj \
	$(TMPDIR)\tkWinButton.obj \
	$(TMPDIR)\tkWinClipboard.obj \
	$(TMPDIR)\tkWinColor.obj \
	$(TMPDIR)\tkWinConfig.obj \
	$(TMPDIR)\tkWinCursor.obj \
	$(TMPDIR)\tkWinDialog.obj \
	$(TMPDIR)\tkWinDraw.obj \
	$(TMPDIR)\tkWinEmbed.obj \
	$(TMPDIR)\tkWinFont.obj \
	$(TMPDIR)\tkWinImage.obj \
	$(TMPDIR)\tkWinInit.obj \
	$(TMPDIR)\tkWinKey.obj \
	$(TMPDIR)\tkWinMenu.obj \
	$(TMPDIR)\tkWinPixmap.obj \
	$(TMPDIR)\tkWinPointer.obj \
	$(TMPDIR)\tkWinRegion.obj \
	$(TMPDIR)\tkWinScrlbr.obj \
	$(TMPDIR)\tkWinSend.obj \
	$(TMPDIR)\tkWinWindow.obj \
	$(TMPDIR)\tkWinWm.obj \
	$(TMPDIR)\tkWinX.obj \
	$(TMPDIR)\stubs.obj \
	$(TMPDIR)\tk3d.obj \
	$(TMPDIR)\tkArgv.obj \
	$(TMPDIR)\tkAtom.obj \
	$(TMPDIR)\tkBind.obj \
	$(TMPDIR)\tkBitmap.obj \
	$(TMPDIR)\tkBusy.obj \
	$(TMPDIR)\tkButton.obj \
	$(TMPDIR)\tkCanvArc.obj \
	$(TMPDIR)\tkCanvBmap.obj \
	$(TMPDIR)\tkCanvImg.obj \
	$(TMPDIR)\tkCanvLine.obj \
	$(TMPDIR)\tkCanvPoly.obj \
	$(TMPDIR)\tkCanvPs.obj \
	$(TMPDIR)\tkCanvText.obj \
	$(TMPDIR)\tkCanvUtil.obj \
	$(TMPDIR)\tkCanvWind.obj \
	$(TMPDIR)\tkCanvas.obj \
	$(TMPDIR)\tkClipboard.obj \
	$(TMPDIR)\tkCmds.obj \
	$(TMPDIR)\tkColor.obj \
	$(TMPDIR)\tkConfig.obj \
	$(TMPDIR)\tkCursor.obj \
	$(TMPDIR)\tkEntry.obj \
	$(TMPDIR)\tkError.obj \
	$(TMPDIR)\tkEvent.obj \
	$(TMPDIR)\tkFileFilter.obj \
	$(TMPDIR)\tkFocus.obj \
	$(TMPDIR)\tkFont.obj \
	$(TMPDIR)\tkFrame.obj \
	$(TMPDIR)\tkGC.obj \
	$(TMPDIR)\tkGeometry.obj \
	$(TMPDIR)\tkGet.obj \
	$(TMPDIR)\tkGrab.obj \
	$(TMPDIR)\tkGrid.obj \
	$(TMPDIR)\tkImage.obj \
	$(TMPDIR)\tkImgBmap.obj \
	$(TMPDIR)\tkImgGIF.obj \
	$(TMPDIR)\tkImgPPM.obj \
	$(TMPDIR)\tkImgPhoto.obj \
	$(TMPDIR)\tkImgPhInstance.obj \
	$(TMPDIR)\tkImgUtil.obj \
	$(TMPDIR)\tkListbox.obj \
	$(TMPDIR)\tkMacWinMenu.obj \
	$(TMPDIR)\tkMain.obj \
	$(TMPDIR)\tkMenu.obj \
	$(TMPDIR)\tkMenubutton.obj \
	$(TMPDIR)\tkMenuDraw.obj \
	$(TMPDIR)\tkMessage.obj \
	$(TMP_DIR)\tkPanedWindow.obj \
	$(TMPDIR)\tkObj.obj \
	$(TMPDIR)\tkOldConfig.obj \
	$(TMPDIR)\tkOption.obj \
	$(TMPDIR)\tkPack.obj \
	$(TMPDIR)\tkPlace.obj \
	$(TMPDIR)\tkPointer.obj \
	$(TMPDIR)\tkRectOval.obj \
	$(TMPDIR)\tkScale.obj \
	$(TMPDIR)\tkScrollbar.obj \
	$(TMPDIR)\tkSelect.obj \
	$(TMPDIR)\tkText.obj \
	$(TMPDIR)\tkTextBTree.obj \
	$(TMPDIR)\tkTextDisp.obj \
	$(TMPDIR)\tkTextImage.obj \
	$(TMPDIR)\tkTextIndex.obj \
	$(TMPDIR)\tkTextMark.obj \
	$(TMPDIR)\tkTextTag.obj \
	$(TMPDIR)\tkTextWind.obj \
	$(TMPDIR)\tkTrig.obj \
	$(TMPDIR)\tkUtil.obj \
	$(TMPDIR)\tkVisual.obj \
	$(TMPDIR)\tkStubInit.obj \
	$(TMPDIR)\tkWindow.obj

# Maintenance hint: Please have multiple members of TKSTUBOBJS be separated
# by exactly one ' ' (see below the rule for making TKSTUBLIB)
TKSTUBOBJS = $(TMPDIR)\tkStubLib.obj

WINDIR      = $(ROOT)\win
GENERICDIR  = $(ROOT)\generic
XLIBDIR     = $(ROOT)\xlib
BITMAPDIR   = $(ROOT)\bitmaps
TCLLIBDIR   = $(TCLDIR)\win\$(OUTDIRNAME)
RCDIR       = $(WINDIR)\rc

TK_INCLUDES = -I$(WINDIR) -I$(GENERICDIR) -I$(BITMAPDIR) -I$(XLIBDIR) \
      -I$(TCLDIR)\generic -I$(TCLDIR)\win

TK_DEFINES  = -D__WIN32__ $(DEBUGDEFINES) $(THREADDEFINES) SUPPORT_CONFIG_EMBEDDED

######################################################################
# Compile flags
######################################################################

!IF "$(NODEBUG)" == "1"
# these macros cause maximum optimization and no symbols
cdebug = -v- -vi- -O2 -D_DEBUG
!ELSE
# these macros enable debugging
cdebug = -k -Od -r- -v -vi- -y
!ENDIF

SYSDEFINES = _MT;NO_STRICT;_NO_VCL

# declarations common to all compiler options
cbase = -3 -a4 -c -g0 -tWM -Ve -Vx -X-
WARNINGS = -w-rch -w-pch -w-par -w-dup -w-pro -w-dpu

ccons = -tWC

CFLAGS      = $(cdebug) $(cbase) $(WARNINGS) -D$(SYSDEFINES)

CON_CFLAGS  = $(CFLAGS) $(TK_DEFINES) $(include32) $(ccons)
WISH_CFLAGS = $(CFLAGS) $(include32) $(TK_INCLUDES) $(TK_DEFINES)
TK_CFLAGS   = $(CFLAGS) $(include32) $(TK_INCLUDES) $(TK_DEFINES) \
                   -DUSE_TCL_STUBS

######################################################################
# Link flags
######################################################################

!IF "$(NODEBUG)" == "1"
ldebug =
!ELSE
ldebug = -v
!ENDIF

# declarations common to all linker options
LNFLAGS = -D"" -Gn -I$(TMPDIR) -x $(ldebug) $(libpath32)
# -Gi: create lib file (is -Gl in doc)
# -aa: Windows app, -ap: Windows console app
LNFLAGS_DLL  = -ap -Gi -Tpd
LNFLAGS_CONS = -ap -Tpe
LNFLAGS_GUI  = -aa -Tpe

LNLIBS = import32 cw32mt


######################################################################
# Project specific targets
######################################################################

all:      setup $(WISH) $(CAT32)
install:  install-binaries install-libraries
plugin:   setup $(TKPLUGINDLL) $(WISHP)
tktest:   setup $(TKTEST) $(CAT32)

# Maintenance hint: We want to set environment variables before calling tktest.
#  If we do this in the form of normal commands, they will not persist up to 
#  the call of tktest. Therfore we put all commands wanted into a batch file.
#  The normal way of using 'echo >x.bat' and 'echo >>x.bat' does not work here
#  because we cannot write '... > tktest.txt' this way. Hence this advanced 
#  form of loop hopping:
#    - Have MAKE produce a temporary file with the content we want.
#    - Use it as input to the COPY command to produce a batch file.
#    - Run the batch file and be happy.
#
test:     setup $(TKTEST) $(TKLIB) $(CAT32)
  copy &&!
  set TCL_LIBRARY=$(TCLDIR)/library 
  set PATH=$(TCLDIR)\win\$(TMPDIRNAME);$(PATH)
  $(TKTEST) $(ROOT)/tests/all.tcl > tktest.txt
! _test.bat
  _test.bat
#  del _test.bat

runtest:  setup $(TKTEST) $(TKLIB) $(CAT32)
  echo set TCL_LIBRARY=$(TCLDIR)/library             > _test2.bat
  echo set PATH=$(TCLDIR)\win\$(TMPDIRNAME);$(PATH) >> _test2.bat
  echo $(TKTEST)                                    >> _test2.bat
  _test2.bat
#  del _test2.bat

console-wish : all $(WISHC)

stubs:
  $(TCLDIR)\win\$(TMPDIRNAME)\tclsh$(VERSION)$(DBGX) \
    $(TCLDIR)\tools\genStubs.tcl $(GENERICDIR) \
    $(GENERICDIR)\tk.decls $(GENERICDIR)\tkInt.decls

setup:
  @@mkd $(TMPDIR)
  @@mkd $(OUTDIR)

install-binaries:
  @@mkd "$(BIN_INSTALL_DIR)"
  copy $(TKDLL) "$(BIN_INSTALL_DIR)"
  copy $(WISH) "$(BIN_INSTALL_DIR)"
  @@mkd "$(LIB_INSTALL_DIR)"
  copy $(TKLIB) "$(LIB_INSTALL_DIR)"

install-libraries:
  @@mkd "$(INCLUDE_INSTALL_DIR)"
  @@mkd "$(INCLUDE_INSTALL_DIR)\X11"
  copy "$(GENERICDIR)\tk.h"             "$(INCLUDE_INSTALL_DIR)"
  copy "$(GENERICDIR)\tkDecls.h"        "$(INCLUDE_INSTALL_DIR)"
  copy "$(GENERICDIR)\tkPlatDecls.h"    "$(INCLUDE_INSTALL_DIR)"
  copy "$(GENERICDIR)\tkIntXlibDecls.h" "$(INCLUDE_INSTALL_DIR)"
  xcopy "$(XLIBDIR)\X11\*.h"            "$(INCLUDE_INSTALL_DIR)\X11"
  @@mkd "$(SCRIPT_INSTALL_DIR)"
  @@mkd "$(SCRIPT_INSTALL_DIR)\images"
  @@mkd "$(SCRIPT_INSTALL_DIR)\demos"
  @@mkd "$(SCRIPT_INSTALL_DIR)\demos\images"
  @@mkd "$(SCRIPT_INSTALL_DIR)\msgs"
  xcopy "$(ROOT)\library"		"$(SCRIPT_INSTALL_DIR)"
  xcopy "$(ROOT)\library\images"	"$(SCRIPT_INSTALL_DIR)\images"
  xcopy "$(ROOT)\library\demos"		"$(SCRIPT_INSTALL_DIR)\demos"
  xcopy "$(ROOT)\library\demos\images"	"$(SCRIPT_INSTALL_DIR)\demos\images"
  xcopy "$(ROOT)\library\msgs"		"$(SCRIPT_INSTALL_DIR)\msgs"

$(TKLIB): $(TKDLL) $(TKSTUBLIB)

# Maintenance hint: The macro puts a '+-' before the first member of 
#   TKSTUBOBJS, than replaces any ' ' with ' +-' - together putting '+-' in
#   front of any member of TKSTUBOBJS (provided, they are separated in their
#   defintion by just one space).
#
# The first time you *make* this target, you will get a warning
#   tkStubLib not found in library
# This is (probably) because of the '-' option, telling TLIB to remove
# 'tkStubLib' when it does not yet exist. Forcing a re-make when it already
# exists avoids this warning.
#
$(TKSTUBLIB): $(TKSTUBOBJS)
    $(lib32) $@@ +-$(TKSTUBOBJS: = +-)

#    $(lib32) $@@ @@&&!
#+-$(TKSTUBOBJS: = &^
#+-)
#!

$(TKDLL): $(TKOBJS) $(TMPDIR)\tk.res
    $(link32) $(ldebug) $(LNFLAGS) $(LNFLAGS_DLL) $(TOOLS32)\lib\c0d32 @@&&!
      $(TKOBJS), $@@, -x, $(LNLIBS) $(TCLLIBDIR)\$(TCLSTUBLIB),, $(TMPDIR)\tk.res
!

$(TKPLUGINLIB): $(TKPLUGINDLL)

#$(TKPLUGINDLL): $(TKOBJS) $(TMPDIR)\tk.res
#        $(link32) $(ldebug) $(dlllflags) \
#    -out:$@@ $(TMPDIR)\tk.res $(TCLLIBDIR)\$(TCLPLUGINLIB) \
#    $(guilibsdll) @@<<
#      $(TKOBJS)
#<<

$(WISH): $(WISHOBJS) $(TKLIB) $(TMPDIR)\wish.res
  $(link32) $(ldebug) -S:2400000 $(LNFLAGS) $(LNFLAGS_GUI) $(TOOLS32)\lib\c0x32 @@&&!
    $(WISHOBJS), $@@, -x, $(LNLIBS) $(TCLLIBDIR)\$(TCLLIB) $(TKLIB),, $(TMPDIR)\wish.res
!

$(WISHC): $(WISHOBJS) $(TKLIB) $(TMPDIR)\wish.res
  $(link32) $(ldebug) -S:2400000 $(LNFLAGS) $(LNFLAGS_CONS) $(TOOLS32)\lib\c0x32 @@&&!
    $(WISHOBJS), $@@, -x, $(LNLIBS) $(TCLLIBDIR)\$(TCLLIB) $(TKLIB),, $(TMPDIR)\wish.res
!

$(WISHP): $(WISHOBJS) $(TKPLUGINLIB) $(TMPDIR)\wish.res
  $(link32) $(ldebug) $(guilflags) $(TMPDIR)\wish.res -out:$@@ \
    $(guilibsdll) $(TCLLIBDIR)\$(TCLPLUGINLIB) \
    $(TKPLUGINLIB) $(WISHOBJS)

$(TKTEST): $(TKTESTOBJS) $(TKLIB) $(TMPDIR)\wish.res
  $(link32) $(ldebug) -S:2400000 $(LNFLAGS) $(LNFLAGS_GUI) $(TOOLS32)\lib\c0x32 @@&&!
    $(TKTESTOBJS), $@@, -x, $(LNLIBS) $(TCLLIBDIR)\$(TCLLIB) $(TKLIB),, $(TMPDIR)\wish.res
!
#  $(link32) $(ldebug) $(guilflags) $(TMPDIR)\wish.res -out:$@@ \
#    $(guilibsdll) $(TCLLIBDIR)\$(TCLLIB) $(TKLIB) $(TKTESTOBJS)

#$(CAT32): $(TCLDIR)\win\cat.c
#  $(cc32) $(CON_CFLAGS) -o$(TMPDIR)\cat.obj $?
#  $(link32) $(conlflags) -out:$@@ -stack:16384 $(TMPDIR)\cat.obj $(conlibs)

$(CAT32): $(TCLDIR)\win\cat.c
  $(cc32) $(CONS_CFLAGS) -o$(TMPDIR)\cat.obj $?
  $(link32) $(ldebug) $(LNFLAGS) $(LNFLAGS_CONS) $(TOOLS32)\lib\c0x32 \
      $(TMPDIR)\cat.obj, $@@, -x, $(LNLIBS),,

#
# Regenerate the stubs files.
#

genstubs:
  tclsh$(VERSION) $(TCLDIR)\tools\genStubs.tcl $(GENERICDIR) \
    $(GENERICDIR)\tk.decls $(GENERICDIR)\tkInt.decls

#
# Special case object file targets
#

$(TMPDIR)\testMain.obj: $(WINDIR)\winMain.c
  $(cc32) $(WISH_CFLAGS) -DTK_TEST -o$@@ $?

$(TMPDIR)\tkTest.obj: $(GENERICDIR)\tkTest.c
  $(cc32) $(WISH_CFLAGS) -o$@@ $?

$(TMPDIR)\tkOldTest.obj: $(GENERICDIR)\tkOldTest.c
  $(cc32) $(WISH_CFLAGS) -o$@@ $?

$(TMPDIR)\tkWinTest.obj: $(WINDIR)\tkWinTest.c
  $(cc32) $(WISH_CFLAGS) -o$@@ $?

$(TMPDIR)\tkSquare.obj: $(GENERICDIR)\tkSquare.c
  $(cc32) $(WISH_CFLAGS) -o$@@ $?

$(TMPDIR)\winMain.obj: $(WINDIR)\winMain.c
  $(cc32) $(WISH_CFLAGS) -o$@@ $?

$(TMPDIR)\tkStubLib.obj : $(GENERICDIR)\tkStubLib.c
  $(cc32) $(TK_CFLAGS) -DSTATIC_BUILD -o$@@ $?

#
# Implicit rules
#

{$(XLIBDIR)}.c{$(TMPDIR)}.obj:
  $(cc32) -DDLL_BUILD -DBUILD_tk $(TK_CFLAGS) -o$@@ $<

{$(GENERICDIR)}.c{$(TMPDIR)}.obj:
  $(cc32) -DDLL_BUILD -DBUILD_tk $(TK_CFLAGS) -o$@@ $<

{$(WINDIR)}.c{$(TMPDIR)}.obj:
  $(cc32) -DDLL_BUILD -DBUILD_tk $(TK_CFLAGS) -o$@@ $<

{$(ROOT)\unix}.c{$(TMPDIR)}.obj:
  $(cc32) -DDLL_BUILD -DBUILD_tk $(TK_CFLAGS) -o$@@ $<

{$(RCDIR)}.rc{$(TMPDIR)}.res:
  $(rc32) -I"$(GENERICDIR)" -I"$(TOOLS32)\include" -I"$(TCLDIR)\generic" \
      -D$(USERDEFINES);$(SYSDEFINES) -fo$@@ $<

clean:
  -@@del $(OUTDIR)\*.exp
  -@@del $(OUTDIR)\*.lib
  -@@del $(OUTDIR)\*.dll
  -@@del $(OUTDIR)\*.exe
  -@@del $(OUTDIR)\*.pdb
  -@@del $(TMPDIR)\*.pch
  -@@del $(TMPDIR)\*.obj
  -@@del $(TMPDIR)\*.res
  -@@del $(TMPDIR)\*.exe
  -@@rmd $(OUTDIR)
  -@@rmd $(TMPDIR)

# dependencies

$(TMPDIR)\tk.res: \
    $(RCDIR)\buttons.bmp \
    $(RCDIR)\cursor*.cur \
    $(RCDIR)\tk.ico

$(GENERICDIR)/default.h: $(WINDIR)/tkWinDefault.h
$(GENERICDIR)/tkButton.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkCanvas.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkEntry.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkFrame.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkListbox.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkMenu.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkMenubutton.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkMessage.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkScale.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkScrollbar.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkText.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkTextIndex.c: $(GENERICDIR)/default.h
$(GENERICDIR)/tkTextTag.c: $(GENERICDIR)/default.h

$(GENERICDIR)/tkText.c: $(GENERICDIR)/tkText.h
$(GENERICDIR)/tkTextBTree.c: $(GENERICDIR)/tkText.h
$(GENERICDIR)/tkTextDisp.c: $(GENERICDIR)/tkText.h
$(GENERICDIR)/tkTextDisp.c: $(GENERICDIR)/tkText.h
$(GENERICDIR)/tkTextImage.c: $(GENERICDIR)/tkText.h
$(GENERICDIR)/tkTextIndex.c: $(GENERICDIR)/tkText.h
$(GENERICDIR)/tkTextMark.c: $(GENERICDIR)/tkText.h
$(GENERICDIR)/tkTextTag.c: $(GENERICDIR)/tkText.h
$(GENERICDIR)/tkTextWind.c: $(GENERICDIR)/tkText.h

$(GENERICDIR)/tkMacWinMenu.c: $(GENERICDIR)/tkMenu.h
$(GENERICDIR)/tkMenu.c: $(GENERICDIR)/tkMenu.h
$(GENERICDIR)/tkMenuDraw.c: $(GENERICDIR)/tkMenu.h
$(WINDIR)/tkWinMenu.c: $(GENERICDIR)/tkMenu.h


@


1.16
log
@Split the photo image core into two pieces to make it easier to maintain.
@
text
@d16 1
a16 1
# RCS: @@(#) $Id: makefile.bc,v 1.15 2008/04/02 04:30:44 dgp Exp $
d166 1
@


1.15
log
@        * generic/tkWindow.c:   Revised package initialization so that
        * unix/Makefile.in:     "tkStubsPtr" is not present in libtk.so, but
        * win/Makefile.in:      is present only in libtkstub.a.  This tightens
        * win/makefile.bc:      up the rules for users of the stubs interfaces.         * win/makefile.vc:      [Tcl Bug 1819422].
@
text
@d16 1
a16 1
# RCS: @@(#) $Id: makefile.bc,v 1.14 2007/05/14 20:58:31 dgp Exp $
d199 1
@


1.14
log
@        [Tk Bug 1712081]

        * unix/Makefile.in:     Updates to account for new and deleted files
        * win/Makefile.in:      tkStubImg.c and tkOldTest.c.
        * win/makefile.bc:
        * win/makefile.vc:

        * generic/tkOldTest.c (new):    New file used to create testing
        * generic/tkTest.c:             commands for testing various Tk
        * tests/constraints.tcl:        legacy interfaces where a separate
        * tests/image.test:             compilation unit is needed in order
        to #define suitable macros during compilation.  Only the effect of
        USE_OLD_IMAGE on Tk_CreateImageType() is currently tested, but more
        similar testing commands can be added to this same file.  New
        constraint defined to detect presence of the image type provided by
        the new testing code, and a few tests added to exercise it.  Having
        USE_OLD_IMAGE support tested by the default test suite should reduce
        chance of a recurrence of this bug.

        * doc/CrtImgType.3:     Revised docs to better indicate the legacy
        * doc/CrtPhImgFmt.3:    nature of the interfaces supported by
        USE_OLD_IMAGE.

        * generic/tkDecls.h:    make genstubs
        * generic/tkStubInit.c:

        * generic/tk.decls:             Reworked USE_OLD_IMAGE support to use
        * generic/tk.h:                 the same support mechanisms both with
        * generic/tkStubImg.c (deleted):and without a stub-enabled build.  In
        each case, route the legacy calls to Tk_CreateImageType and
        Tk_CreatePhotoImageFormat through the Tk_CreateOldImageType and
        Tk_CreateOldPhotoImageFormat routines.  Add those routines to the
        public stub table so they're available to a stub-enabled extension.
        Remove the definition of Tk_InitImageArgs() and use a macro to
        convert any calls to it in source code into a comment.

        * generic/tkImage.c:    Removed the MODULE_SCOPE declarations that
        * generic/tkImgPhoto.c: broke USE_OLD_IMAGE support.
@
text
@d16 1
a16 1
# RCS: @@(#) $Id: makefile.bc,v 1.13 2007/02/28 05:26:37 chengyemao Exp $
a229 1
	$(TMPDIR)\tkStubLib.obj \
@


1.13
log
@Added compliler define SUPPORT_CONFIG_EMBEDDED to support config of -use option at Windows
@
text
@d16 1
a16 1
# RCS: @@(#) $Id: makefile.bc,v 1.12 2004/04/24 07:38:17 das Exp $
d121 1
d235 1
a235 1
TKSTUBOBJS = $(TMPDIR)\tkStubLib.obj $(TMPDIR)\tkStubImg.obj
d453 3
@


1.12
log
@	* generic/tkPort.h:
	* unix/Makefile.in:
	* win/makefile.bc:
	* win/Makefile.in: followup on tcl header reform [FR 922727]:
	removed use of relative #include paths in tkPort.h to allow
	installation of private headers outside of tk source tree; added
	tcl plaform source dir to compiler header search path.
@
text
@d16 1
a16 1
# RCS: @@(#) $Id: makefile.bc,v 1.11 2002/07/16 05:01:23 davygrvy Exp $
d246 1
a246 1
TK_DEFINES  = -D__WIN32__ $(DEBUGDEFINES) $(THREADDEFINES)
@


1.11
log
@re-add of the borland makefile.  Submitted by Helmut Giese <hgiese@@ratiosoft.com>.
@
text
@d16 1
a16 1
# RCS: @@(#) $Id: makefile.vc,v 1.33.2.1 2001/04/04 07:57:18 hobbs Exp $
d244 1
a244 1
      -I$(TCLDIR)\generic
@


1.11.2.1
log
@merged with trunk at tag macosx-8-4-merge-2002-08-20-trunk
@
text
@d16 1
a16 1
# RCS: @@(#) $Id$
@


1.10
log
@removed makefile.bc since we don't support it any longer
@
text
@a0 1
# Borland C++ 4.5 makefile for Tk
d2 7
a8 1
# Copyright (c) 1995-1997 by Sun Microsystems, Inc.
d13 4
a16 1
# RCS: @@(#) $Id: makefile.bc,v 1.9 1999/04/16 01:51:48 stanton Exp $
d18 3
d25 3
a27 3
# ROOT = top of source tree
# TMPDIR = location where .obj files should be stored during build
# TCLDIR = location of top of Tcl source heirarchy
d29 1
a29 12

ROOT	= ..
TMPDIR	= .
TOOLS	= c:\bc45
TCLDIR	= ..\..\tcl8.1b3

# uncomment the following line to compile with symbols
#DEBUG=1

# uncomment the following line to compile with TCL_MEM_DEBUG
#DEBUGDEFINES	=TCL_MEM_DEBUG

d31 1
a31 1
# Borland C++ tools
d34 3
a36 14
BORLAND = $(TOOLS)
IMPLIB  = $(BORLAND)\bin\Implib
BCC32   = $(BORLAND)\bin\Bcc32
TLINK32 = $(BORLAND)\bin\tlink32
RC	= $(BORLAND)\bin\brcc32
CP      = copy
RM      = del

INCLUDES =	$(BORLAND)\include;$(ROOT)\generic;$(ROOT)\bitmaps;$(ROOT)\xlib;$(ROOT)\win;$(TCLDIR)\generic
LIBDIRS =	$(BORLAND)\lib;$(ROOT)\win
TCLLIBDIR =	$(TCLDIR)\win


!ifndef DEBUG
d38 6
a43 3
# these macros cause maximum optimization and no symbols
DEBUGLDFLAGS = 
DEBUGCCFLAGS = -v- -vi- -O2
d45 6
a50 1
!else
d52 2
a53 3
# these macros enable debugging
DEBUGLDFLAGS = -v
DEBUGCCFLAGS = -k -Od -v
d55 4
d61 2
a62 17
DEFINES = MT;_RTLDLL;STRICT;$(DEBUGDEFINES)
PROJECTCCFLAGS= $(DEBUGCCFLAGS) -w-par -w-stu

LNFLAGS_exe = -Tpe -aa -c $(DEBUGLDFLAGS) $(BORLAND)\lib\c0w32
LNFLAGS_dll = -Tpd -aa -c $(DEBUGLDFLAGS) $(BORLAND)\lib\c0d32

LNLIBS_exe =	$(TKLIB) $(TCLLIBDIR)\$(TCLLIB) import32 cw32mti
LNLIBS_dll =	$(TCLLIBDIR)\$(TCLLIB) import32 cw32mti

# 
# Global makefile settings
#

.AUTODEPEND
.CACHEAUTODEPEND

.suffixes: .c .dll .lib .obj .exe
d64 49
a112 2
.path.c=$(ROOT)\win;$(ROOT)\generic;$(ROOT)\xlib;$(ROOT)\unix
.path.obj=$(TMPDIR)
d115 1
a115 1
	$(TMPDIR)\winMain.obj
d118 5
a122 3
	$(TMPDIR)\tkTest.obj \
	$(TMPDIR)\tkSquare.obj \
	$(TMPDIR)\testMain.obj
d125 5
a129 5
	$(TMPDIR)\xcolors.obj \
	$(TMPDIR)\xdraw.obj \
	$(TMPDIR)\xgc.obj \
	$(TMPDIR)\ximage.obj \
	$(TMPDIR)\xutil.obj
a155 1
	$(TMPDIR)\tkWinTest.obj \
d206 1
d228 2
d232 19
a250 6
TCLDLL = tcl81.dll
TCLLIB = tcl81.lib
TKDLL = tk81.dll
TKLIB = tk81.lib
WISH = wish81.exe
TKTEST = tktest.exe
d252 7
a258 16
#
# Targets
#

all: cfgdll $(TKDLL) cfgexe $(WISH) cfgcln
tktest: cfgdll $(TKDLL) cfgtest $(TKTEST) cfgcln

test: tktest
	$(TKTEST) &&|
		cd ../tests
		console show
		update
		source all
|

# Implicit Targets
d260 1
a260 2
.c.obj:
	@@$(BCC32) {$< }
d262 179
a440 5
.dll.lib:
	$(IMPLIB) -c $@@ $<

.rc.res:
	$(RC) -i$(INCLUDES) $<
d446 2
a447 2
$(TMPDIR)\testMain.obj : $(ROOT)\win\winMain.c
	$(BCC32) -c -o$@@ $(ROOT)\win\winMain.c
d449 2
a450 3
#
# Configuration file targets - these files are implicitly used by the compiler
#
d452 2
a453 5
cfgdll:
	@@$(CP) &&|
		-n$(TMPDIR) -I$(INCLUDES) -c -WM
		-D$(DEFINES) -3 -d $(PROJECTCCFLAGS)
| bcc32.cfg >NUL
d455 2
a456 5
cfgexe:
	@@$(CP) &&|
		-n$(TMPDIR) -I$(INCLUDES) -c -W
		-D$(DEFINES) -3 -d $(PROJECTCCFLAGS)
| bcc32.cfg >NUL
d458 2
a459 5
cfgtest:
	@@$(CP) &&|
		-n$(TMPDIR) -I$(INCLUDES) -c -W
		-D$(DEFINES);TK_TEST -3 -d $(PROJECTCCFLAGS)
| bcc32.cfg >NUL
d461 2
a462 2
cfgcln:
	@@$(RM) bcc32.cfg
d465 1
a465 1
# Executable targets
d468 2
a469 9
$(TKDLL): $(TKOBJS) tk.def rc\tk.res
	$(TLINK32) @@&&|
$(LNFLAGS_dll) $(TKOBJS)
$@@
-x
$(LNLIBS_dll)
tk.def
rc\tk.res
|
d471 2
a472 11
$(WISH): $(WISHOBJS) $(TKLIB) rc\wish.res
	$(TLINK32) @@&&|
$(LNFLAGS_exe) $(WISHOBJS)
$@@
-x
$(LNLIBS_exe)
|, &&|
EXETYPE WINDOWS
CODE PRELOAD MOVEABLE DISCARDABLE
DATA PRELOAD MOVEABLE MULTIPLE
|, rc\wish.res
d474 2
a475 11
$(TKTEST): $(TKTESTOBJS) $(TKLIB)
	$(TLINK32) $(LNFLAGS_exe) @@&&|
$(TKTESTOBJS)
$@@
-x
$(LNLIBS_exe)
|, &&|
EXETYPE WINDOWS
CODE PRELOAD MOVEABLE DISCARDABLE
DATA PRELOAD MOVEABLE MULTIPLE
|, 
d477 2
a478 3
# 
# Other dependencies
#
d480 3
a482 2
rc\wish.res: rc\wish.ico
rc\tk.res: rc\tk.ico rc\*.cur
d484 49
a532 2
# The following rule automatically generates a tk.def file containing
# an export entry for every public symbol in the $(TKDLL) library.
a533 4
tk.def: $(TKOBJS)
	$(TCLLIBDIR)\dumpexts.exe -o $@@ $(TKDLL) @@&&|
		$(TKOBJS)
|
a534 31
# rule to build library object files

# debugging rules, the .dll and .exe files must be in the same
# directory as the object files for debugging purposes

$(TMPDIR)\$(TKDLL): $(TKDLL)
	$(CP) $(TKDLL) $(TMPDIR)

$(TMPDIR)\$(TCLDLL): $(TCLLIBDIR)\$(TCLDLL)
	$(CP) $(TCLLIBDIR)\$(TCLDLL) $(TMPDIR)

$(TMPDIR)\$(WISH): $(WISH)
	$(CP) $(WISH) $(TMPDIR)

$(TMPDIR)\$(TKTEST): $(TKTEST)
	$(CP) $(TKTEST) $(TMPDIR)

debug: $(TMPDIR)\$(TKDLL) $(TMPDIR)\$(TCLDLL) $(TMPDIR)\$(TKTEST)


# remove all generated files

clean:
	$(RM) $(WISH)
	$(RM) $(TKTEST)
	$(RM) $(TKLIB) 
	$(RM) $(TKDLL)  
	$(RM) rc\*.res  
	$(RM) tk.def
	$(RM) $(TMPDIR)\*.obj
	$(RM) *.cfg
@


1.9
log
@* Merged 8.1 branch into the main trunk
@
text
@d8 1
a8 1
# RCS: @@(#) $Id$
@


1.9.2.1
log
@
Updated patchlevel for final release.
@
text
@d8 1
a8 1
# RCS: @@(#) $Id: makefile.bc,v 1.9 1999/04/16 01:51:48 stanton Exp $
d22 1
a22 1
TCLDIR	= ..\..\tcl8.1
@


1.8
log
@* win/makefile.vc: First stab at install target.  Fixed quoting so
paths with spaces work.

* win/makefile.vc:
* win/makefile.bc: Udpated version numbers
@
text
@d3 1
a3 1
# Copyright (c) 1995-1996 by Sun Microsystems, Inc.
d8 1
a8 1
# RCS: @@(#) $Id: makefile.bc,v 1.7 1998/11/25 01:48:54 stanton Exp $
d22 1
a22 1
TCLDIR	= ..\..\tcl8.0.5
d107 1
d122 1
d173 2
d196 5
a200 5
TCLDLL = tcl80.dll
TCLLIB = tcl80.lib
TKDLL = tk80.dll
TKLIB = tk80.lib
WISH = wish80.exe
@


1.7
log
@Fixed font display bug (#846)
@
text
@d8 1
a8 1
# RCS: @@(#) $Id: makefile.bc,v 1.6 1998/09/14 18:23:58 stanton Exp $
d22 1
a22 1
TCLDIR	= ..\..\tcl8.0.4
@


1.6
log
@Replaced SCCS strings, fixed binary files
@
text
@d8 1
a8 1
# RCS: @@(#) $Id$
d22 1
a22 1
TCLDIR	= ..\..\tcl8.0.3
@


1.5
log
@Fixed reference to tcl directory, ../../tcl8.0.3
@
text
@d8 1
a8 1
# SCCS: @@(#) makefile.bc 1.73 97/11/05 16:12:27
@


1.4
log
@Moved "tkConsole.obj" to the DLL.
@
text
@d22 1
a22 1
TCLDIR	= ..\..\tcl8.0
@


1.3
log
@Added xlib/ximage.c
@
text
@a82 1
	$(TMPDIR)\tkConsole.obj \
a85 1
	$(TMPDIR)\tkConsole.obj \
d98 1
@


1.2
log
@got rid of image.c
@
text
@d96 1
@


1.1
log
@Initial revision
@
text
@a95 1
	$(TMPDIR)\ximage.obj \
@


1.1.4.1
log
@initial tk8.1a2 version
@
text
@d3 1
a3 1
# Copyright (c) 1995-1997 by Sun Microsystems, Inc.
d8 1
a8 1
# SCCS: @@(#) makefile.bc 1.75 98/02/18 18:32:57
d22 1
a22 1
TCLDIR	= ..\..\tcl8.1a2
a107 1
	$(TMPDIR)\tkWinConfig.obj \
a121 1
	$(TMPDIR)\tkWinTest.obj \
a171 2
	$(TMPDIR)\tkObj.obj \
	$(TMPDIR)\tkOldConfig.obj \
d193 5
a197 5
TCLDLL = tcl81.dll
TCLLIB = tcl81.lib
TKDLL = tk81.dll
TKLIB = tk81.lib
WISH = wish81.exe
@


1.1.4.2
log
@Merged 8.0.3 changes into 8.1
@
text
@d8 1
a8 1
# RCS: @@(#) $Id: makefile.bc,v 1.6 1998/09/14 18:23:58 stanton Exp $
d83 1
d87 1
a99 1
	$(TMPDIR)\tkConsole.obj \
@


1.1.4.3
log
@* integrated tk8.0.4 changes.

* generic/tkBind.c: fixed deletion order bug where a crash would
result if a binding deleted "."
@
text
@d8 1
a8 1
# RCS: @@(#) $Id: makefile.bc,v 1.1.4.2 1998/09/30 02:19:26 stanton Exp $
@


1.1.4.4
log
@more release engineering
@
text
@d8 1
a8 1
# RCS: @@(#) $Id$
d22 1
a22 1
TCLDIR	= ..\..\tcl8.1b1
@


1.1.4.5
log
@* README:
* generic/tk.h:
* unix/configure.in:
* win/README:
* win/makefile.bc:
* win/makefile.vc: Updated version to 8.1b2.

* unix/tkUnixSend.c: Fixed one more Tcl_*ObjVar instance.
@
text
@d22 1
a22 1
TCLDIR	= ..\..\tcl8.1b2
@


1.1.4.6
log
@Updated version to 8.1b3.
@
text
@d22 1
a22 1
TCLDIR	= ..\..\tcl8.1b3
@


